Bug 244611 - Installer establishes incorrect user ID
Installer establishes incorrect user ID
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dbmail (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On: 244620
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-17 23:31 EDT by Eric Poole
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.2.5-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 15:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Poole 2007-06-17 23:31:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
When dbmail is selected for installation or upgrade, a "dbmail" user is establiahed.  This user is established with a user ID of 500 or above.  User IDs for system components should be below 500 so as not to conflict with users being ported over from other machines or other OS installations.

This is similar to bug 242329, which reports the same result with tclhttpd installation.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Select dbmail as a component to install.
2. Perform the installation.
3.

Actual Results:
User "dbmail" was established with user ID of 501.


Expected Results:
User "dbmail" should have been established with a user ID below 500.


Additional info:
Comment 1 Bernard Johnson 2007-06-18 00:50:27 EDT
For completeness, please post the output of 'grep UID_MIN /etc/login.defs'.
Comment 2 Eric Poole 2007-06-18 05:59:57 EDT
UID_MIN  500.

All of /etc/login.defs is set to its out-of-the-box settings.

But regardless, shouldn't "users" generated by system programs still have their 
UIDs set in the system UID space (below 500)?
Comment 3 Bernard Johnson 2007-06-18 06:11:17 EDT
It should install with a gid,uid < GUI_MIN,UID_MIN, whatever values those are. 
By default they are 500,500.  If you tinker with those values, you can change
the behavior.
Comment 4 Fedora Update System 2007-06-20 16:00:46 EDT
dbmail-2.2.5-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-06-25 19:22:03 EDT
dbmail-2.2.5-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-07-05 15:15:21 EDT
dbmail-2.2.5-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.